import React, {useState} from 'react';
import {View, Text, Switch} from 'react-native';
import HeaderBack from '../../components/Header/HeaderBack';

const SettingView = (props) => {
  const [isEnabled, setIsEnabled] = useState(false);
  const toggleSwitch = () => setIsEnabled((previousState) => !previousState);

  return (
    <View style={{flex: 1}}>
      <HeaderBack title={'Cài đặt'} />
      <View style={{flexDirection: 'row'}}></View>

      <Switch
        trackColor={{false: '#767577', true: '#1C6AF6'}}
        // thumbColor={isEnabled ? '#f5dd4b' : '#f4f3f4'}
        ios_backgroundColor="#767577"
        onValueChange={toggleSwitch}
        value={isEnabled}
      />
      <Text>SettingView 1 screen</Text>
    </View>
  );
};

export default SettingView;
